[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCellProcessType

Identifies the action performed for cell content.

## Declaration

Source position: grids.pas line 184

`type TCellProcessType = (`
`cpCopy,` |  | Copies the content in a grid cell.
`cpPaste` |  | Pastes content into the grid cell.
`);`

## Description

TCellProcessType is an enumerated type with values that identify the action performed for the content in a grid cell. Values in the enumeration indicate whether cell content is copied or pasted in event handlers. TCellProcessType arguments are passed to the TCustomStringGrid.OnCellProcess event handler.

## See also

TCellProcessEvent |  | Specifies an event handler used to process the value in a grid cell.
TCustomStringGrid.OnCellProcess |  | Event handler signalled when copying or pasting content for Cells in the grid.